/**
 * @module dixim
 * @submodule autoDownload
 */
dixim.namespace('dixim.autoDownload');

/**
 * @module autoDownload
 * @submodule deletion-dialog-view
 */

(function() {
var DeletionDialogView;
var prototype;
var superConstructor;
var _ = dixim.ctt.ResourceBundle.get;
var DeletionModalDialogView = dixim.common.DeletionModalDialogView;
var Enum = dixim.ctt.util.Enum;

/**
 * @class DeletionDialogView
 * @constructor
 * @param {Object} configs
 */
DeletionDialogView = function(configs) {
    DeletionModalDialogView.call(this, configs);
};

dixim.inherit(DeletionDialogView, DeletionModalDialogView);
dixim.autoDownload.DeletionDialogView = DeletionDialogView;
prototype = DeletionDialogView.prototype;
superConstructor = DeletionDialogView.superConstructor;

var Mode = Enum.fetch('DELETION');

/**
 * @method _initialize
 * @protected
 * @param {Object} configs
 */
prototype._initialize = function(configs) {
    var mode = configs.mode;
    var contents = configs.contents || {};

    configs = configs || {};

    configs.id = configs.id || '';
    configs.id = [configs.id, 'deletion-dialog-'].join('');

    switch(mode) {
        case Mode.TASK:
            configs.title = _('auto_download_operation_delete_task');
            configs.description = _('auto_download_delete_description', contents.length);
            break;
        case Mode.FILTER:
            configs.title = _('auto_download_filter_del_title');
            configs.description = _('auto_download_filter_del_description', contents.length);
            break;
    }

    superConstructor.prototype._initialize.call(this, configs);
};

}());
