/**
 * @module dixim
 * @submodule vdms
 */
dixim.namespace('dixim.vdms');

/**
 * @module vdms
 * @submodule permission-menu-view
 */

(function() {
var PermissionMenuView;
var prototype;
var superConstructor;
var MenuView = dixim.common.MenuView;
var _ = dixim.ctt.ResourceBundle.get;

/**
 * @class PermissionMenuView
 * @constructor
 * @param {Object} configs
 */
PermissionMenuView = function(configs) {
    MenuView.call(this, configs);
};

dixim.inherit(PermissionMenuView, MenuView);
dixim.vdms.PermissionMenuView = PermissionMenuView;
prototype = PermissionMenuView.prototype;
superConstructor = PermissionMenuView.superConstructor;

var ALLOW = 'allow';
var DENY = 'deny';
var DEFAULT = 'default';
var PREV = 'prev';

/**
 * @method _initialize
 * @protected
 * @param {Object} configs
 */
prototype._initialize = function(configs) {
    configs = configs || {};

    configs.title = _('vdms_menu_permission');
    configs.menuList = [
        {
            strId: 'vdms_permission_menu_allow',
            eventParam: ALLOW,
        },
        {
            strId: 'vdms_permission_menu_deny',
            eventParam: DENY,
        },
        {
            strId: 'vdms_permission_menu_default',
            eventParam: DEFAULT,
        },
    ];

    superConstructor.prototype._initialize.call(this, configs);
};

}());
