/**
 * @module dixim
 * @submodule vdms
 */
dixim.namespace('dixim.vdms');

/**
 * @module vdms
 * @submodule vdms-menu-view
 */

(function() {
var VdmsMenuView;
var prototype;
var superConstructor;
var MenuView = dixim.common.MenuView;
var _ = dixim.ctt.ResourceBundle.get;
var UiFunctionManager = dixim.ctt.util.UiFunctionManager;

/**
 * @class VdmsMenuView
 * @constructor
 * @param {Object} configs
 */
VdmsMenuView = function(configs) {
    MenuView.call(this, configs);
};

dixim.inherit(VdmsMenuView, MenuView);
dixim.vdms.VdmsMenuView = VdmsMenuView;
prototype = VdmsMenuView.prototype;
superConstructor = VdmsMenuView.superConstructor;

var BOOT_SERVER = 'bootServer';
var ACTIVATION = 'activation';
var PERMISSION = 'permission';
var PAIRING = 'pairing';
var AGGREGATION = 'aggregation';
var DISTRIBUTION = 'distribution';
var PREV = 'prev';

/**
 * @method _initialize
 * @protected
 * @param {Object} configs
 */
prototype._initialize = function(configs) {
    configs = configs || {};

    configs.title = _('common_menu_title_vdms');
    configs.menuList = [];

    configs.menuList.push({
        strId: 'vdms_menu_boot_server',
        eventParam: BOOT_SERVER,
    });

    if (UiFunctionManager.isImplement('dtcp_activation')) {
        configs.menuList.push({
            strId: 'vdms_menu_activation',
            eventParam: ACTIVATION,
        });
    }

    configs.menuList.push({
        strId: 'vdms_menu_permission',
        eventParam: PERMISSION,
    });

    configs.menuList.push({
        strId: 'vdms_menu_pairing',
        eventParam: PAIRING,
    });

    configs.menuList.push({
        strId: 'vdms_menu_aggregation',
        eventParam: AGGREGATION,
    });

    configs.menuList.push({
        strId: 'vdms_menu_distribution',
        eventParam: DISTRIBUTION,
    });

    superConstructor.prototype._initialize.call(this, configs);
};

}());
